Package org.apache.sysds.runtime.controlprogram.federated

## Class FederatedRequest

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.FederatedRequest

All Implemented Interfaces:
  `Serializable`

    public class FederatedRequest
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `FederatedRequest.RequestType`

### Constructor Summary

Constructors
`FederatedRequest​(FederatedRequest.RequestType method)`
`FederatedRequest​(FederatedRequest.RequestType method, long id)`
`FederatedRequest​(FederatedRequest.RequestType method, long id, Object... data)`
`FederatedRequest​(FederatedRequest.RequestType method, long id, List<Object> data)`
`FederatedRequest​(FederatedRequest.RequestType method, LineageItem linItem, long id, Object... data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FederatedRequest` `appendParam​(Object obj)`
`FederatedRequest` `appendParams​(Object... objs)`
`FederatedRequest` `deepClone()`
`long` `estimateSerializationBufferSize()`
`long` `getChecksum​(int i)`
`long` `getID()`
`String` `getLineageTrace()`
`int` `getNumParams()`
`Object` `getParam​(int i)`
`long` `getPID()`
`long` `getTID()`
`FederatedRequest.RequestType` `getType()`
`void` `setChecksum()`
`void` `setTID​(long tid)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FederatedRequest

    public FederatedRequest​(FederatedRequest.RequestType method)

#### FederatedRequest

    public FederatedRequest​(FederatedRequest.RequestType method,
                            long id)

#### FederatedRequest

    public FederatedRequest​(FederatedRequest.RequestType method,
                            long id,
                            Object... data)

#### FederatedRequest

    public FederatedRequest​(FederatedRequest.RequestType method,
                            LineageItem linItem,
                            long id,
                            Object... data)

#### FederatedRequest

    public FederatedRequest​(FederatedRequest.RequestType method,
                            long id,
                            List<Object> data)

### Method Detail

#### getType

    public FederatedRequest.RequestType getType()

#### getID

    public long getID()

#### getTID

    public long getTID()

#### setTID

    public void setTID​(long tid)

#### getPID

    public long getPID()

#### getParam

    public Object getParam​(int i)

#### appendParam

    public FederatedRequest appendParam​(Object obj)

#### appendParams

    public FederatedRequest appendParams​(Object... objs)

#### getNumParams

    public int getNumParams()

#### deepClone

    public FederatedRequest deepClone()

#### setChecksum

    public void setChecksum()

#### getChecksum

    public long getChecksum​(int i)

#### getLineageTrace

    public String getLineageTrace()

#### estimateSerializationBufferSize

    public long estimateSerializationBufferSize()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`